/*
 *  Copyright 1994-2022 Olivier Girondel
 *
 *  This file is part of lebiniou.
 *
 *  lebiniou is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  lebiniou is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with lebiniou. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __BINIOU_COMMANDS_H
#define __BINIOU_COMMANDS_H

/*
 * Automagically generated from commands.c.in
 * DO NOT EDIT !!!
 */

#include "jansson.h"
enum Command {
  START_Application = 0,
  CMD_APP_RANDOMIZE_3D_ROTATIONS,
  CMD_APP_NEXT_3D_BOUNDARY,
  CMD_APP_TOGGLE_3D_ROTATIONS,
  CMD_APP_DISPLAY_COLORMAP,
  CMD_APP_SWITCH_FULLSCREEN,
  CMD_APP_SWITCH_CURSOR,
  CMD_APP_QUIT,
  CMD_APP_SAVE_QUIT,
  CMD_APP_RANDOMIZE_SCREEN,
  CMD_APP_CLEAR_SCREEN,
  CMD_APP_STOP_AUTO_MODES,
  CMD_APP_TOGGLE_SELECTED_PLUGIN,
  CMD_APP_PREVIOUS_SEQUENCE,
  CMD_APP_NEXT_SEQUENCE,
  CMD_APP_SCREENSHOT,
  CMD_APP_RANDOM_SCHEME,
  CMD_APP_RANDOM_SEQUENCE,
  CMD_APP_NEXT_RANDOM_MODE,
  CMD_APP_PREVIOUS_RANDOM_MODE,
  CMD_APP_TOGGLE_AUTO_COLORMAPS,
  CMD_APP_TOGGLE_AUTO_IMAGES,
  CMD_APP_SWITCH_BYPASS,
  CMD_APP_SET_WEBCAM_REFERENCE,
  CMD_APP_NEXT_WEBCAM,
  CMD_APP_LOCK_SELECTED_PLUGIN,
  CMD_APP_FREEZE_INPUT,
  CMD_APP_VOLUME_SCALE_UP,
  CMD_APP_VOLUME_SCALE_DOWN,
  CMD_APP_FIRST_SEQUENCE,
  CMD_APP_LAST_SEQUENCE,
  CMD_APP_DEC_3D_SCALE,
  CMD_APP_INC_3D_SCALE,
  END_Application,
  START_Plugins,
  CMD_PLG_PREVIOUS,
  CMD_PLG_NEXT,
  CMD_PLG_SCROLL_UP,
  CMD_PLG_SCROLL_DOWN,
  END_Plugins,
  START_Sequences,
  CMD_SEQ_RESET,
  CMD_SEQ_TOGGLE_LENS,
  CMD_SEQ_SELECT_PREVIOUS,
  CMD_SEQ_SELECT_NEXT,
  CMD_SEQ_MOVE_UP,
  CMD_SEQ_MOVE_DOWN,
  CMD_SEQ_LAYER_DEFAULT,
  CMD_SEQ_LAYER_PREVIOUS,
  CMD_SEQ_LAYER_NEXT,
  CMD_SEQ_SAVE_FULL,
  CMD_SEQ_UPDATE_FULL,
  CMD_SEQ_SAVE_BARE,
  CMD_SEQ_UPDATE_BARE,
  CMD_SEQ_PARAM_PREVIOUS,
  CMD_SEQ_PARAM_NEXT,
  CMD_SEQ_PARAM_DEC,
  CMD_SEQ_PARAM_INC,
  CMD_SEQ_PARAM_DEC_FAST,
  CMD_SEQ_PARAM_INC_FAST,
  END_Sequences,
  START_Colormaps,
  CMD_COL_PREVIOUS,
  CMD_COL_NEXT,
  CMD_COL_RANDOM,
  END_Colormaps,
  START_Colormap,
  CMD_COL_USE_SHORTCUT_1,
  CMD_COL_USE_SHORTCUT_2,
  CMD_COL_USE_SHORTCUT_3,
  CMD_COL_USE_SHORTCUT_4,
  CMD_COL_USE_SHORTCUT_5,
  CMD_COL_USE_SHORTCUT_6,
  CMD_COL_USE_SHORTCUT_7,
  CMD_COL_USE_SHORTCUT_8,
  CMD_COL_USE_SHORTCUT_9,
  CMD_COL_USE_SHORTCUT_10,
  CMD_COL_STORE_SHORTCUT_1,
  CMD_COL_STORE_SHORTCUT_2,
  CMD_COL_STORE_SHORTCUT_3,
  CMD_COL_STORE_SHORTCUT_4,
  CMD_COL_STORE_SHORTCUT_5,
  CMD_COL_STORE_SHORTCUT_6,
  CMD_COL_STORE_SHORTCUT_7,
  CMD_COL_STORE_SHORTCUT_8,
  CMD_COL_STORE_SHORTCUT_9,
  CMD_COL_STORE_SHORTCUT_10,
  END_Colormap,
  START_Images,
  CMD_IMG_PREVIOUS,
  CMD_IMG_NEXT,
  CMD_IMG_RANDOM,
  END_Images,
  START_Image,
  CMD_IMG_USE_SHORTCUT_1,
  CMD_IMG_USE_SHORTCUT_2,
  CMD_IMG_USE_SHORTCUT_3,
  CMD_IMG_USE_SHORTCUT_4,
  CMD_IMG_USE_SHORTCUT_5,
  CMD_IMG_USE_SHORTCUT_6,
  CMD_IMG_USE_SHORTCUT_7,
  CMD_IMG_USE_SHORTCUT_8,
  CMD_IMG_USE_SHORTCUT_9,
  CMD_IMG_USE_SHORTCUT_10,
  CMD_IMG_STORE_SHORTCUT_1,
  CMD_IMG_STORE_SHORTCUT_2,
  CMD_IMG_STORE_SHORTCUT_3,
  CMD_IMG_STORE_SHORTCUT_4,
  CMD_IMG_STORE_SHORTCUT_5,
  CMD_IMG_STORE_SHORTCUT_6,
  CMD_IMG_STORE_SHORTCUT_7,
  CMD_IMG_STORE_SHORTCUT_8,
  CMD_IMG_STORE_SHORTCUT_9,
  CMD_IMG_STORE_SHORTCUT_10,
  END_Image,
  START_Banks,
  CMD_APP_CLEAR_BANK_1,
  CMD_APP_CLEAR_BANK_2,
  CMD_APP_CLEAR_BANK_3,
  CMD_APP_CLEAR_BANK_4,
  CMD_APP_CLEAR_BANK_5,
  CMD_APP_CLEAR_BANK_6,
  CMD_APP_CLEAR_BANK_7,
  CMD_APP_CLEAR_BANK_8,
  CMD_APP_CLEAR_BANK_9,
  CMD_APP_CLEAR_BANK_10,
  CMD_APP_CLEAR_BANK_11,
  CMD_APP_CLEAR_BANK_12,
  CMD_APP_CLEAR_BANK_13,
  CMD_APP_CLEAR_BANK_14,
  CMD_APP_CLEAR_BANK_15,
  CMD_APP_CLEAR_BANK_16,
  CMD_APP_CLEAR_BANK_17,
  CMD_APP_CLEAR_BANK_18,
  CMD_APP_CLEAR_BANK_19,
  CMD_APP_CLEAR_BANK_20,
  CMD_APP_CLEAR_BANK_21,
  CMD_APP_CLEAR_BANK_22,
  CMD_APP_CLEAR_BANK_23,
  CMD_APP_CLEAR_BANK_24,
  CMD_APP_STORE_BANK_1,
  CMD_APP_STORE_BANK_2,
  CMD_APP_STORE_BANK_3,
  CMD_APP_STORE_BANK_4,
  CMD_APP_STORE_BANK_5,
  CMD_APP_STORE_BANK_6,
  CMD_APP_STORE_BANK_7,
  CMD_APP_STORE_BANK_8,
  CMD_APP_STORE_BANK_9,
  CMD_APP_STORE_BANK_10,
  CMD_APP_STORE_BANK_11,
  CMD_APP_STORE_BANK_12,
  CMD_APP_STORE_BANK_13,
  CMD_APP_STORE_BANK_14,
  CMD_APP_STORE_BANK_15,
  CMD_APP_STORE_BANK_16,
  CMD_APP_STORE_BANK_17,
  CMD_APP_STORE_BANK_18,
  CMD_APP_STORE_BANK_19,
  CMD_APP_STORE_BANK_20,
  CMD_APP_STORE_BANK_21,
  CMD_APP_STORE_BANK_22,
  CMD_APP_STORE_BANK_23,
  CMD_APP_STORE_BANK_24,
  CMD_APP_USE_BANK_1,
  CMD_APP_USE_BANK_2,
  CMD_APP_USE_BANK_3,
  CMD_APP_USE_BANK_4,
  CMD_APP_USE_BANK_5,
  CMD_APP_USE_BANK_6,
  CMD_APP_USE_BANK_7,
  CMD_APP_USE_BANK_8,
  CMD_APP_USE_BANK_9,
  CMD_APP_USE_BANK_10,
  CMD_APP_USE_BANK_11,
  CMD_APP_USE_BANK_12,
  CMD_APP_USE_BANK_13,
  CMD_APP_USE_BANK_14,
  CMD_APP_USE_BANK_15,
  CMD_APP_USE_BANK_16,
  CMD_APP_USE_BANK_17,
  CMD_APP_USE_BANK_18,
  CMD_APP_USE_BANK_19,
  CMD_APP_USE_BANK_20,
  CMD_APP_USE_BANK_21,
  CMD_APP_USE_BANK_22,
  CMD_APP_USE_BANK_23,
  CMD_APP_USE_BANK_24,
  CMD_APP_USE_BANK_SET_1,
  CMD_APP_USE_BANK_SET_2,
  CMD_APP_USE_BANK_SET_3,
  CMD_APP_USE_BANK_SET_4,
  CMD_APP_USE_BANK_SET_5,
  CMD_APP_USE_BANK_SET_6,
  CMD_APP_USE_BANK_SET_7,
  CMD_APP_USE_BANK_SET_8,
  CMD_APP_USE_BANK_SET_9,
  CMD_APP_USE_BANK_SET_10,
  CMD_APP_USE_BANK_SET_11,
  CMD_APP_USE_BANK_SET_12,
  CMD_APP_USE_BANK_SET_13,
  CMD_APP_USE_BANK_SET_14,
  CMD_APP_USE_BANK_SET_15,
  CMD_APP_USE_BANK_SET_16,
  CMD_APP_USE_BANK_SET_17,
  CMD_APP_USE_BANK_SET_18,
  CMD_APP_USE_BANK_SET_19,
  CMD_APP_USE_BANK_SET_20,
  CMD_APP_USE_BANK_SET_21,
  CMD_APP_USE_BANK_SET_22,
  CMD_APP_USE_BANK_SET_23,
  CMD_APP_USE_BANK_SET_24,
  END_Banks,
  UI_CMD_CONNECT,
  UI_CMD_APP_SELECT_PLUGIN,
  UI_CMD_APP_SET_3D_ROTATION_AMOUNT,
  UI_CMD_APP_SET_3D_ROTATION_FACTOR,
  UI_CMD_APP_SET_AUTO_MODE,
  UI_CMD_APP_SET_BANDPASS,
  UI_CMD_APP_SET_DELAY,
  UI_CMD_APP_SET_FADE_DELAY,
  UI_CMD_APP_SET_MAX_FPS,
  UI_CMD_APP_SET_VOLUME_SCALE,
  UI_CMD_APP_TOGGLE_RANDOM_SCHEMES,
  UI_CMD_APP_TOGGLE_RANDOM_SEQUENCES,
  UI_CMD_COL_PREVIOUS_N,
  UI_CMD_COL_NEXT_N,
  UI_CMD_IMG_PREVIOUS_N,
  UI_CMD_IMG_NEXT_N,
  UI_CMD_SEQ_RENAME,
  UI_CMD_SEQ_REORDER,
  UI_CMD_SEQ_SET_LAYER_MODE,
  UI_CMD_SEQ_SET_PARAM_CHECKBOX_VALUE,
  UI_CMD_SEQ_SET_PARAM_PLAYLIST_VALUE,
  UI_CMD_SEQ_SET_PARAM_SLIDER_VALUE,
  UI_CMD_SEQ_SET_PARAM_SELECT_VALUE,
  UI_CMD_TRACKBALL_ON_DRAG_START,
  UI_CMD_TRACKBALL_ON_DRAG_MOVE,
  UI_CMD_TRACKBALL_ON_MOUSE_WHEEL,
  UI_CMD_OUTPUT,
  UI_CMD_NOOP,
  UI_CMD_BANK,
  UI_CMD_SELECT_ITEM,
  VUI_CONNECT,
  VUI_DELETE_SEQUENCES,
  VUI_GENERATE_RANDOM,
  VUI_LOCK,
  VUI_POST_SEQUENCE,
  VUI_RENAME_SEQUENCE,
  VUI_RESET_3D,
  VUI_SELECT_WEBCAM,
  VUI_SELECTOR_CHANGE,
  VUI_SHORTCUT,
  VUI_USE_SEQUENCE,
  VUI_TOGGLE,
};


enum Command_type { CT_SDL2 = 0, CT_WEB_UI, CT_VUI };

typedef struct Command_s {
  enum Command_type type;
  enum Command cmd;
  json_t *arg;
  struct _websocket_manager *emitter;
} Command_t;


Command_t *Command_new(const enum Command_type, const enum Command, const json_t *, struct _websocket_manager *);
void Command_delete(Command_t *);

#endif /* __BINIOU_COMMANDS_H */
